Page MenuHomePhabricator

Special:RecentChanges does not list tags, filter broken
Closed, ResolvedPublic8 Story Points

Description

Searching visualeditor tag in RecentChanges of enwiki does not list anything after May 23

https://en.wikipedia.org/w/index.php?namespace=&tagfilter=visualeditor&title=Special%3ARecentChanges

Same is noted with other tags in other wikis too.

See also:
T100248: Programmatically applied change tags don't show on Recent Changes

Event Timeline

KartikMistry updated the task description. (Show Details)
KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 4:58 PM
santhosh triaged this task as High priority.May 26 2015, 5:02 PM
santhosh added a subscriber: santhosh.
santhosh renamed this task from contenttranslation tag doesn't apply to Special:RecentChanges does not list tags, filter broken.May 27 2015, 3:20 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from High to Needs Triage.
santhosh set Security to None.

https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Modifications_r%C3%A9centes&namespace=&tagfilter=visualeditor shows that this is true for frwiki as well.

This also affects Parsoid's ability to test post-deploy and we might have to pause deploys till we fix this.

ssastry triaged this task as Unbreak Now! priority.May 27 2015, 5:48 PM
cscott added a subscriber: cscott.May 27 2015, 5:50 PM

cc'ing aaron, since it may be related to commit rMWda79b19b8848ab5df7b06e6384c91e8630d89772 which was merged to wmf/1.26wmf7 on May 22

cc'ing aaron, since it may be related to commit rMWda79b19b8848ab5df7b06e6384c91e8630d89772 which was merged to wmf/1.26wmf7 on May 22

No, sorry. It was probably related to the regression mentioned in rMW549bfc0ee5c83224c80ddad4970548092b4ffdbf

Change 214101 had a related patch set uploaded (by Aaron Schulz):
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214101

Change 214385 had a related patch set uploaded (by Jforrester):
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214385

Change 214386 had a related patch set uploaded (by Jforrester):
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214386

Change 214101 merged by jenkins-bot:
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214101

Change 214390 had a related patch set uploaded (by Jforrester):
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214390

Change 214385 merged by jenkins-bot:
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214385

Change 214390 merged by jenkins-bot:
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214390

Change 214386 merged by jenkins-bot:
Use more appropriate RecentChange_save hook for tagging

https://gerrit.wikimedia.org/r/214386

Elitre added a subscriber: Elitre.May 28 2015, 7:21 PM
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
aaron added a comment.Jun 5 2015, 5:27 PM

That tag was disabled and removed from edits a while back.

Change 216140 had a related patch set uploaded (by Aaron Schulz):
Defer RC tag addition in the publish API

https://gerrit.wikimedia.org/r/216140

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 5 2015, 6:57 PM

Change 216140 merged by jenkins-bot:
Defer RC tag addition in the publish API

https://gerrit.wikimedia.org/r/216140

If the above patch fixes the issue, does it mean that we have permanently lost the tags on some articles unless manually re-applied on them? Or if the above patch does not fix the issue, what does?

I'm wondering if this has affected the work of @Halfak and his VE analysis.

Elitre added a comment.EditedJun 8 2015, 8:38 AM

@TheDJ, luckily not, as per T101270.

How many more tags are still broken, or can this be re-closed?

If the above patch fixes the issue, does it mean that we have permanently lost the tags on some articles unless manually re-applied on them? Or if the above patch does not fix the issue, what does?

From my understanding, the problem is that tags were lost on the RecentChanges entry, but not on the page history. Please, correct me if I'm wrong.

TTO added a subscriber: TTO.Jun 11 2015, 8:44 AM
Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 1:40 AM

No response, so I'm assuming everyone that cares has fixed their issue.